//
//  FolderItem.h
//  folder
//
//  Created by kunii on 2014/01/18.
//  Copyright (c) 2014年 國居貴浩. All rights reserved.
//

#ifndef folder_FolderItem_h
#define folder_FolderItem_h

#include "Item.h"

typedef struct FolderItem {
    Item            super;          //  Item構造体を先頭に埋め込む
    int             subItemCount;   //  自分が内包するフォルダやファイルの数。
    struct Item**   subItems;       //  自分が内包するフォルダやファイルの配列
    void (*add)(struct FolderItem*, Item*);      //  内包するファイル、フォルダ追加用関数
} FolderItem;

//  フォルダオブジェクトの作成
Item* FolderItemAlloc();

#endif
